# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class Destination

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.analytics.Destination

All Implemented Interfaces:
  Extension

    public class Destination

extends ExtensionPoint

Destination-URL goal.

Nested Class Summary
`static class` `Destination.MatchType` The match type for the path expression.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Destination()` Default mutable constructor.
`Destination(java.lang.Boolean caseSensitive, java.lang.String expression, java.lang.String matchType, java.lang.Boolean step1Required)` Immutable constructor.

Method Summary
`void` `addStep(Step step)` Adds a new step.
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.lang.Boolean` `getCaseSensitive()` Returns the whether path URL matching is case sensitive.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.String` `getExpression()` Returns the goal's path expression.
`java.lang.String` `getMatchType()` Returns the the match type for the path expression.
`java.lang.Boolean` `getStep1Required()` Returns the whether step 1 is required for this goal.
`java.util.List<Step>` `getSteps()` Returns the steps.
`boolean` `hasCaseSensitive()` Returns whether it has the whether path URL matching is case sensitive.
`boolean` `hasExpression()` Returns whether it has the goal's path expression.
`boolean` `hasMatchType()` Returns whether it has the the match type for the path expression.
`boolean` `hasStep1Required()` Returns whether it has the whether step 1 is required for this goal.
`boolean` `hasSteps()` Returns whether it has the steps.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setCaseSensitive(java.lang.Boolean caseSensitive)` Sets the whether path URL matching is case sensitive.
`void` `setExpression(java.lang.String expression)` Sets the goal's path expression.
`void` `setMatchType(java.lang.String matchType)` Sets the the match type for the path expression.
`void` `setStep1Required(java.lang.Boolean step1Required)` Sets the whether step 1 is required for this goal.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Destination

    public Destination()

  Default mutable constructor.

### Destination

    public Destination(java.lang.Boolean caseSensitive,
                       java.lang.String expression,
                       java.lang.String matchType,
                       java.lang.Boolean step1Required)

  Immutable constructor.

  Parameters:
    `caseSensitive` - whether path URL matching is case sensitive.
    `expression` - goal's path expression.
    `matchType` - the match type for the path expression.
    `step1Required` - whether step 1 is required for this goal.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getCaseSensitive

    public java.lang.Boolean getCaseSensitive()

  Returns the whether path URL matching is case sensitive.

  Returns:
    whether path URL matching is case sensitive

### setCaseSensitive

    public void setCaseSensitive(java.lang.Boolean caseSensitive)

  Sets the whether path URL matching is case sensitive.

  Parameters:
    `caseSensitive` - whether path URL matching is case sensitive or `null` to reset

### hasCaseSensitive

    public boolean hasCaseSensitive()

  Returns whether it has the whether path URL matching is case sensitive.

  Returns:
    whether it has the whether path URL matching is case sensitive

### getExpression

    public java.lang.String getExpression()

  Returns the goal's path expression.

  Returns:
    goal's path expression

### setExpression

    public void setExpression(java.lang.String expression)

  Sets the goal's path expression.

  Parameters:
    `expression` - goal's path expression or `null` to reset

### hasExpression

    public boolean hasExpression()

  Returns whether it has the goal's path expression.

  Returns:
    whether it has the goal's path expression

### getMatchType

    public java.lang.String getMatchType()

  Returns the the match type for the path expression.

  Returns:
    the match type for the path expression

### setMatchType

    public void setMatchType(java.lang.String matchType)

  Sets the the match type for the path expression.

  Parameters:
    `matchType` - the match type for the path expression or `null` to reset

### hasMatchType

    public boolean hasMatchType()

  Returns whether it has the the match type for the path expression.

  Returns:
    whether it has the the match type for the path expression

### getStep1Required

    public java.lang.Boolean getStep1Required()

  Returns the whether step 1 is required for this goal.

  Returns:
    whether step 1 is required for this goal

### setStep1Required

    public void setStep1Required(java.lang.Boolean step1Required)

  Sets the whether step 1 is required for this goal.

  Parameters:
    `step1Required` - whether step 1 is required for this goal or `null` to reset

### hasStep1Required

    public boolean hasStep1Required()

  Returns whether it has the whether step 1 is required for this goal.

  Returns:
    whether it has the whether step 1 is required for this goal

### getSteps

    public java.util.List<Step> getSteps()

  Returns the steps.

  Returns:
    steps

### addStep

    public void addStep(Step step)

  Adds a new step.

  Parameters:
    `step` - step

### hasSteps

    public boolean hasSteps()

  Returns whether it has the steps.

  Returns:
    whether it has the steps

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`